## r-cran-rpostgresql 0.4

=== DESCRIPTION ===
Package: RPostgreSQL
Version: 0.4
Date: $Date: 2013-03-27 15:32:53 +0900 (Wed, 27 Mar 2013) $
Title: R interface to the PostgreSQL database system
Author: Joe Conway, Dirk Eddelbuettel, Tomoaki Nishiyama, Sameer Kumar
        Prayaga (during 2008), Neil Tiffin
Maintainer: Tomoaki Nishiyama <tomoakin@staff.kanazawa-u.ac.jp>
Description: Database interface and PostgreSQL driver for R This
        package provides a Database Interface (DBI) compliant driver
        for R to access PostgreSQL database systems.
 .
 In order to build and install this package from source, PostgreSQL
        itself must be present your system to provide PostgreSQL
        functionality via its libraries and header files. These files
        are provided as postgresql-devel package under some Linux
        distributions.
 .
 On Microsoft Windows system the attached libpq library source will be
        used.
 .
 A wiki and issue tracking system for the package are available at
        Google Code at https://code.google.com/p/rpostgresql/ .
LazyLoad: true
Depends: R (>= 2.9.0), methods, DBI (>= 0.1-4)
License: GPL-2 | file LICENSE
Copyright: Authors listed above, PostgreSQL Global Development Group,
        and The Regents of the University of California
Collate: S4R.R zzz.R PostgreSQLSupport.R dbObjectId.R PostgreSQL.R
URL: https://code.google.com/p/rpostgresql/,
        http://www.stat.bell-labs.com/RS-DBI, http://www.postgresql.org
Packaged: 2013-03-27 07:24:02 UTC; tomoaki
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-03-27 09:34:11

=== debian/changelog ===
r-cran-rpostgresql (0.4-1) unstable; urgency=low

  * Initial release (Closes: #785026)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 24 Jun 2015 18:30:10 +0200

=== debian/control ===
Source: r-cran-rpostgresql
Section: gnu-r
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: autotools-dev,
               cdbs,
               debhelper (>= 9),
               libpq-dev,
               r-base-dev,
               r-cran-dbi
Standards-Version: 3.9.6
Homepage: https://code.google.com/p/rpostgresql/
Vcs-Git: git://anonscm.debian.org/collab-maint/r-cran-rpostgresql.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/r-cran-rpostgresql.git;a=summary

Package: r-cran-rpostgresql
Architecture: any
Depends: ${R:Depends},
	 r-cran-dbi,
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNU R package providing database interface and driver for PostgreSQL
 This package provides a Database Interface (DBI) compliant driver
 for R to access PostgreSQL database systems.

## r-cran-rpostgresql 0.6

=== DESCRIPTION ===
Package: RPostgreSQL
Version: 0.6-2
Date: 2017-06-24
Title: R Interface to the 'PostgreSQL' Database System
Author: Joe Conway, Dirk Eddelbuettel, Tomoaki Nishiyama, Sameer Kumar Prayaga (during 2008), Neil Tiffin
Maintainer: Tomoaki Nishiyama <tomoakin@staff.kanazawa-u.ac.jp>
Description: Database interface and 'PostgreSQL' driver for 'R'.
 This package provides a Database Interface 'DBI' compliant 
 driver for 'R' to access 'PostgreSQL' database systems.  
 In order to build and install this package from source, 'PostgreSQL' 
 itself must be present your system to provide 'PostgreSQL' functionality 
 via its libraries and header files. These files are provided as
 'postgresql-devel' package under some Linux distributions.
 On 'macOS' and 'Microsoft Windows' system the attached 'libpq' library source will be used.
LazyLoad: true
Depends: R (>= 2.9.0), methods, DBI (>= 0.3)
License: GPL-2 | file LICENSE
Copyright: Authors listed above, PostgreSQL Global Development Group,
        and The Regents of the University of California
Collate: S4R.R zzz.R PostgreSQLSupport.R dbObjectId.R PostgreSQL.R
URL: https://github.com/tomoakin/RPostgreSQL,
        https://cran.r-project.org/package=DBI,
        http://www.postgresql.org
NeedsCompilation: yes
Packaged: 2017-06-24 03:16:20 UTC; tomoaki
Repository: CRAN
Date/Publication: 2017-06-24 07:17:52 UTC

## r-cran-rpostgresql 0.6-2%2Bdfsg

=== debian/changelog ===
r-cran-rpostgresql (0.6-2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * rename debian/tests/control.autodep8 to debian/tests/control
    (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Depends: r-cran-littler

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 12:41:40 +0200

r-cran-rpostgresql (0.6-2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Set Maintainer to Debian R Packages Maintainers.
  * Standards-Version: 4.2.1
  * Add Testsuite: autopkgtest-pkg-r

 -- Dylan Aïssi <daissi@debian.org>  Sun, 16 Dec 2018 09:35:57 +0100

r-cran-rpostgresql (0.6-2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (dropped code copy of libpq)
  * Take over package into r-pkg team maintenance
  * Add watch file
  * Canonical homepage for CRAN packages
  * Convert from cdbs to dh-r
  * Standards-Version: 4.1.3
  * debhelper 11
  * New Build-Depends: libpq-dev
  * Add autopkgtest
  * Depends: littler
  * Fix script permissions

 -- Andreas Tille <tille@debian.org>  Tue, 13 Mar 2018 20:07:54 +0100

## r-cran-rpostgresql 0.6-2+dfsg

=== debian/control ===
Source: r-cran-rpostgresql
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Ondřej Surý <ondrej@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-dbi (>= 0.3),
               libpq-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rpostgresql
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rpostgresql.git
Homepage: https://cran.r-project.org/package=RPostgreSQL

Package: r-cran-rpostgresql
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         littler
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package providing database interface and driver for PostgreSQL
 This package provides a Database Interface (DBI) compliant driver
 for R to access PostgreSQL database systems.

## r-cran-rpostgresql 0.7

=== DESCRIPTION ===
Package: RPostgreSQL
Version: 0.7-8
Date: 2025-03-28
Title: R Interface to the 'PostgreSQL' Database System
Maintainer: Tomoaki Nishiyama <tomoaki@sci.u-toyama.ac.jp>
Description: Database interface and 'PostgreSQL' driver for 'R'.
 This package provides a Database Interface 'DBI' compliant 
 driver for 'R' to access 'PostgreSQL' database systems.  
 In order to build and install this package from source, 'PostgreSQL' 
 itself must be present your system to provide 'PostgreSQL' functionality 
 via its libraries and header files. These files are provided as
 'postgresql-devel' package under some Linux distributions.
 On 'macOS' and 'Microsoft Windows' system the attached 'libpq' library source will be used.
LazyLoad: true
Depends: R (>= 3.4.0), methods, DBI (>= 0.3)
License: GPL-3 | file LICENSE
Copyright: Authors listed above, PostgreSQL Global Development Group,
        and The Regents of the University of California
Collate: S4R.R zzz.R PostgreSQLSupport.R dbObjectId.R PostgreSQL.R
URL: https://github.com/tomoakin/RPostgreSQL,
        https://cran.r-project.org/package=DBI,
        https://www.postgresql.org
Authors@R: c(person(given = "Joe",
                       family = "Conway",
                       role = "aut"),
                person(given = "Dirk",
                       family = "Eddelbuettel",
                       role = "aut"),
                person(given = "Tomoaki",
                       family = "Nishiyama",
                       role = c("aut", "cre"),
                       email = "tomoaki@sci.u-toyama.ac.jp"),
                person(given = c("Sameer", "Kumar"),
                       family = "Prayaga",
                       role = "aut",
                       comment = "during 2008"),
                person(given = "Neil",
                       family = "Tiffin",
                       role = "aut"))
NeedsCompilation: yes
Packaged: 2025-03-28 06:57:36 UTC; tomoaki
Author: Joe Conway [aut],
  Dirk Eddelbuettel [aut],
  Tomoaki Nishiyama [aut, cre],
  Sameer Kumar Prayaga [aut] (during 2008),
  Neil Tiffin [aut]
Repository: CRAN
Date/Publication: 2025-03-28 08:00:02 UTC

## r-cran-rpostgresql 0.7-3+dfsg

=== debian/changelog ===
r-cran-rpostgresql (0.7-3+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.7-3+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Sun, 24 Oct 2021 00:00:09 +0530

r-cran-rpostgresql (0.7-2+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * New upstream version 0.7-2+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Mon, 18 Oct 2021 21:00:05 +0000

r-cran-rpostgresql (0.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2021 21:02:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,24 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-dbi (>= 0.3),
+               r-cran-dbi,
                libpq-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rpostgresql
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rpostgresql.git
 Homepage: https://cran.r-project.org/package=RPostgreSQL
+Rules-Requires-Root: no
 
 Package: r-cran-rpostgresql
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         littler
+# <dh-update-R>do not delete this</dh-update-R>
+         r-cran-littler
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R package providing database interface and driver for PostgreSQL

## r-cran-rpostgresql 0.7-4+dfsg

=== debian/changelog ===
r-cran-rpostgresql (0.7-4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * No tab in license text (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2022 11:42:04 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-dbi,
                libpq-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rpostgresql
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rpostgresql.git
 Homepage: https://cran.r-project.org/package=RPostgreSQL

## r-cran-rpostgresql 0.7-5%2Bdfsg

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
Restrictions: allow-stderr

## r-cran-rpostgresql 0.7-5+dfsg

=== debian/changelog ===
r-cran-rpostgresql (0.7-5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 12:51:10 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-dbi,
                libpq-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rpostgresql
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rpostgresql.git
 Homepage: https://cran.r-project.org/package=RPostgreSQL

## r-cran-rpostgresql 0.7-6+dfsg

=== debian/changelog ===
r-cran-rpostgresql (0.7-6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 14:02:55 +0100

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/RPostgreSQL_([-\d.]*)\.tar\.gz

## r-cran-rpostgresql 0.7-7%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name PostgreSQLDataTypeTest.r -exec chmod +x \{\} \;
	find debian -name datetime.r -exec chmod +x \{\} \;
	find debian -name transactionManagement.r -exec chmod +x \{\} \;

## r-cran-rpostgresql 0.7-7+dfsg

=== debian/changelog ===
r-cran-rpostgresql (0.7-7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 07 Oct 2024 10:01:02 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-dbi,
                libpq-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rpostgresql
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rpostgresql.git
 Homepage: https://cran.r-project.org/package=RPostgreSQL
@@ -19,9 +19,7 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-# <dh-update-R>do not delete this</dh-update-R>
-         r-cran-littler
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R package providing database interface and driver for PostgreSQL

## r-cran-rpostgresql 0.7-8+dfsg

=== debian/changelog ===
r-cran-rpostgresql (0.7-8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Fri, 30 Jan 2026 15:19:48 +0900

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-dbi,
-               libpq-dev
-Standards-Version: 4.7.0
+               libpq-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rpostgresql
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rpostgresql.git
 Homepage: https://cran.r-project.org/package=RPostgreSQL
